| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi::Parsers::InputData Struct Reference

Helper class to enable ADL for parsers. More...

`#include <Gaudi/Parsers/InputData.h>`

Inheritance diagram for Gaudi::Parsers::InputData:
[legend]
Collaboration diagram for Gaudi::Parsers::InputData:
[legend]

## Public Member Functions
| InputData (const std::string &s)
Public Member Functions inherited from std::string
T | push_back (T... args)
T | shrink_to_fit (T... args)
T | rfind (T... args)
T | begin (T... args)
T | erase (T... args)
T | append (T... args)
T | data (T... args)
T | insert (T... args)
T | assign (T... args)
T | find_first_not_of (T... args)
T | back (T... args)
T | end (T... args)
T | resize (T... args)
T | copy (T... args)
T | find_last_of (T... args)
T | pop_back (T... args)
T | replace (T... args)
T | front (T... args)
T | substr (T... args)
T | find (T... args)
T | compare (T... args)
T | crbegin (T... args)
T | cbegin (T... args)
T | find_first_of (T... args)
T | rbegin (T... args)
T | crend (T... args)
T | size (T... args)
T | operator= (T... args)
T | find_last_not_of (T... args)
T | reserve (T... args)
T | capacity (T... args)
T | c_str (T... args)
T | empty (T... args)
T | cend (T... args)
T | string (T... args)
T | max_size (T... args)
T | rend (T... args)
T | get_allocator (T... args)
T | clear (T... args)
T | at (T... args)
T | swap (T... args)
T | operator[] (T... args)
T | length (T... args)
Public Member Functions inherited from std::basic_string< char >
T | push_back (T... args)
T | shrink_to_fit (T... args)
T | rfind (T... args)
T | begin (T... args)
T | erase (T... args)
T | append (T... args)
T | data (T... args)
T | insert (T... args)
T | assign (T... args)
T | find_first_not_of (T... args)
T | back (T... args)
T | end (T... args)
T | resize (T... args)
T | copy (T... args)
T | find_last_of (T... args)
T | pop_back (T... args)
T | cbegin (T... args)
T | replace (T... args)
T | front (T... args)
T | find (T... args)
T | compare (T... args)
T | crbegin (T... args)
T | at (T... args)
T | find_first_of (T... args)
T | rbegin (T... args)
T | crend (T... args)
T | size (T... args)
T | operator= (T... args)
T | find_last_not_of (T... args)
T | reserve (T... args)
T | capacity (T... args)
T | c_str (T... args)
T | empty (T... args)
T | cend (T... args)
T | substr (T... args)
T | max_size (T... args)
T | rend (T... args)
T | get_allocator (T... args)
T | clear (T... args)
T | swap (T... args)
T | operator[] (T... args)
T | length (T... args)
T | basic_string (T... args)

## Detailed Description

Helper class to enable ADL for parsers.

Definition at line 8 of file InputData.h.

## Constructor & Destructor Documentation

## ◆ InputData()

Gaudi::Parsers::InputData::InputData | ( | const std::string & | s | ) |
| inline

Definition at line 9 of file InputData.h.

9 : std::string{s} {}
std::string
STL class.
gaudirun.s
string s
Definition: gaudirun.py:316

The documentation for this struct was generated from the following file:

- GaudiKernel/Gaudi/Parsers/InputData.h